UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.LBMXSPAttributes Class Reference

Encapsulates the set of default LBM XSP attributes. More...

Inheritance diagram for com.latencybusters.lbm.LBMXSPAttributes:

## Public Member Functions
unsafe | LBMXSPAttributes ()
| Instantiate LBMXSPAttributes class. More...
void | Dispose ()
| Free memory associated with this set of attributes.
void | dispose ()
| Free memory associated with this set of attributes (same as Dispose()). More...
unsafe string | getValue (string attributeName)
| Returns the current value of an attribute from this set of xsp attributes. More...
unsafe void | setValue (string attributeName, string attributeValue)
| Set the current value of an attribute in this set of xsp attributes. More...
void | setZeroTransportsCallback (LBMZeroTransportsCallback cb, object cbArg)
| Set the zero transports callback for an LBMXSP. More...
void | setZeroTransportsCallback (LBMZeroTransportsCallback cb)
| Set the zero transports callback for an LBMXSP. More...

## Detailed Description

Encapsulates the set of default LBM XSP attributes.

## Constructor & Destructor Documentation

unsafe com.latencybusters.lbm.LBMXSPAttributes.LBMXSPAttributes | ( |  | ) |

Instantiate LBMXSPAttributes class.

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

References com.latencybusters.lbm.LBM.errorMessage(), and com.latencybusters.lbm.LBM.errorNumber().

## Member Function Documentation

void com.latencybusters.lbm.LBMXSPAttributes.dispose | ( |  | ) |

Free memory associated with this set of attributes (same as Dispose()).

See also
  Dispose

References com.latencybusters.lbm.LBM.errorMessage(), and com.latencybusters.lbm.LBM.errorNumber().

unsafe string com.latencybusters.lbm.LBMXSPAttributes.getValue | ( | string | attributeName | ) |

Returns the current value of an attribute from this set of xsp attributes.

Parameters

  attributeName | Name of the attribute to retrieve

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

Returns
  Value corresponding to the specified attribute name

References com.latencybusters.lbm.LBM.errorMessage(), and com.latencybusters.lbm.LBM.errorNumber().

unsafe void com.latencybusters.lbm.LBMXSPAttributes.setValue | ( | string | attributeName,
|  | string | attributeValue
| ) |  |

Set the current value of an attribute in this set of xsp attributes.

Parameters

  attributeName | Name of the attribute to set
  attributeValue | New attribute value

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

References com.latencybusters.lbm.LBM.errorMessage(), com.latencybusters.lbm.LBM.errorNumber(), and com.latencybusters.lbm.LBMZeroTransportsCallback().

void com.latencybusters.lbm.LBMXSPAttributes.setZeroTransportsCallback | ( | LBMZeroTransportsCallback | cb,
|  | object | cbArg
| ) |  |

Set the zero transports callback for an LBMXSP.

Parameters

  cb | A delegate of type LBMZeroTransportsCallback
  cbArg | A user-supplied callback object to be passed back in the zero transports callback

void com.latencybusters.lbm.LBMXSPAttributes.setZeroTransportsCallback | ( | LBMZeroTransportsCallback | cb | ) |

Set the zero transports callback for an LBMXSP.

Parameters

  cb | A delegate of type LBMZeroTransportsCallback

The documentation for this class was generated from the following file:

- LBMXSPAttributes.cs